<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<title>HTML Forms</title>
	</head>
	<body>
		<h2 align="center">Welcome to the Forms page</h2>
		<!-- Semantic Tags

		Semantic Tags are new additions to HTML. Semantic Tags are also containers for elements but unlike divs they are fefinitive and describes its content without relying to semantic id. However, em, emphasis, strong, are also considered semantic tags. <i>/<b>.

		Semantic containers such as nav, main, section, etc. These semantic containers are now more preferred by developers it aids SEO, browsers as well as other developers. -->

		<!-- main is a semantic container used to show/display the main content of a page -->

		<main>
			<!-- section are used to show parts of a page or content. -->
			<section>
				<h2>HTML Forms</h2>
				<p>HTML Forms are used to gather information/data from our user and send that information to a server.</p>
			</section>
			<section>
				<!-- form tags allows to create a form. We can gather and send user input from our form. -->
				<!-- action attribute is used to define where the information gathered will be passed after submission. -->
				<!-- label tags create a text element that serves as a label to input filled. We can add a for attribute to this element such that when this label is clicked our cursor will be moved into our input. -->
					<!-- input tag allows us to create an input element which can be used to add user input. -->
					<!-- type attribute in input elements allows us to identify what kind of information is to be gathered. It also affecrs the behavior of the input element. -->
					<!-- name attribute allows us to provide a name, identifier for the VALUE of the input element. This is used to identify the value of an input in a form data. -->
					<!-- id attribute allows us to identify the input element. It is also used reference of the for attribute by an appropriate label element. -->
					<!-- required attribute will not allow the form to be submitted until the input element has value or data. -->
					<!-- autocomplete attribute provide suggestions for inputs and allows for better user experiences -->
					<!-- buttons are used in different purposes in HTML, when buttons are used in a form, they are used to submit the form. Thus, we add the type="submit attribute" -->
					<!-- type="date" for an input element changes the behavior of the input element and only allows the input of dates. -->
					<!-- type="number" for an input element allows to only input numbers. -->
					<!-- min and max attributes allows to add a minimum and maximum number to be input in our number type input element. -->
					<!-- select tag allows us to create a dropdown menu to select an option. -->
					<!-- option tag allows us to create the options/choices available for our select tag. -->
					<!-- we provide a value attribute per option as this will be the data sent with our form. -->
					<!-- radio type input allows us to create radio buttons which lets ysers pass a single piece of information based on multiple other radio buttons. -->
					<!-- the name attribute of radio buttons should be the same to allow only one value to be stored or passed with our form. This will then allow multiple selection of our radio buttons. -->
					<!-- checkbox type input will create a checkbox which allows for multiple selection among multiple choices. -->
					<!-- for multiple selection, the name attribute for each checkbox should be unique BUT related. -->
				<form action="https://google.com">
					<!-- full name -->
					<label for="fname">Full Name:</label>
					<br>
					<input type="text" name="fullname" id="fname" required autocomplete>
					<br>
					<!-- birthdate -->
					<label for="bday">Birthdate</label>
					<br>
					<input type="date" name="bdate" id="bday" required="">
					<br>
					<!-- age -->
					<label for="ageInput">Age:</label>
					<br>
					<input type="number" name="age" id="ageInput" min="18" max="40" required="">
					<br>
					<!-- gender -->
					<label for="genderInput">Gender</label>
					<br>
					<select name="gender" id="genderInput">
						<option value="male">Male</option>
						<option value="female">Female</option>
						<option value="other">Other</option>
					</select>
					<br>
					<!-- radio -->
					<label>New User:</label>
					<br>
					<input type="radio" name="new_user" id="radioUser1" value="yes">
					<label for="radioUser1">Yes</label>
					<br>
					<input type="radio" name="new_user" id="radioUser2" value="no">
					<label for="radioUser2">No</label>
					<br>
					<!-- checkbox -->
					<label>Role:</label>
					<br>
					<input type="checkbox" name="role1" id="roleInput1" value="developer">
					<label for="roleInput1">Developer</label>
					<br>
					<input type="checkbox" name="role2" id="roleInput2" value="student">
					<label for="roleInput2">Student</label>
					<br>
					<input type="checkbox" name="role3" id="roleInput3" value="manager">
					<label for="roleInput3">Manager</label>
					<br>
					<!-- button -->
					<button type="submit">Submit</button>
					<button type="reset">Reset</button>
				
				</form>
			</section>
		</main>

	</body>
</html>